using System.Diagnostics.CodeAnalysis;
using CommandLine;

namespace Piwigo.Client.Cli;

[SuppressMessage("ReSharper", "AutoPropertyCanBeMadeGetOnly.Global", Justification = "used by command line parser")]
internal class BaseOptions
{
    [Option('s', "server", Required = true, HelpText = "Piwigo server url")]
    public string ServerUrl { get; init; } = null!;

    [Option('u', "user", Required = true, HelpText = "Username to log into piwigo")]
    public string UserName { get; init; } = null!;

    [Option('p', "password", Required = true, HelpText = "Password to log into piwigo")]
    public string Password { get; init; } = null!;
}