using System.Diagnostics.CodeAnalysis;
using CommandLine;

namespace Piwigo.Client.Cli;

[Verb("upload", HelpText = "Add file contents to the index.")]
[SuppressMessage("ReSharper", "ClassNeverInstantiated.Global", Justification = "done by command line parser")]
[SuppressMessage("ReSharper", "AutoPropertyCanBeMadeGetOnly.Global", Justification = "used by command line parser")]
internal class UploadOptions : BaseOptions
{
    [Option('i', "image", Required = true, HelpText = "Path to the image to upload")]
    public string ImagePath { get; init; } = null!;

    [Option('a', "albumId", Required = false, HelpText = "The album id where the picture belongs")]
    public int? AlbumId { get; init; } = null;
}