using System.Security.Cryptography;

namespace Piwigo.Client;

public static class FileInfoExtensions
{
    public static async Task<string> CalculateMd5SumAsync(this FileInfo file, CancellationToken cancellationToken = default)
    {
        using var md5 = MD5.Create();
        await using var stream = file.Open(FileMode.Open, FileAccess.Read, FileShare.Read);

        var hash = await md5.ComputeHashAsync(stream, cancellationToken);

        return BitConverter.ToString(hash).Replace("-", string.Empty).ToLower();
    }
}