using System.Diagnostics.CodeAnalysis;

namespace Piwigo.Client.Images;

[SuppressMessage("ReSharper", "MemberCanBePrivate.Global")]
public record ImageFilter
{
    public static ImageFilter Empty => new()
    {
        MinRate = null,
        MaxRate = null,
        MinHit = null,
        MaxHit = null,
        MinRatio = null,
        MaxRatio = null,
        MaxLevel = null,
        MinDateAvailable = null,
        MaxDataAvailable = null,
        MinDateCreated = null,
        MaxDateCreated = null
    };

    public float? MinRate { get; init; }
    public float? MaxRate { get; init; }
    public int? MinHit { get; init; }
    public int? MaxHit { get; init; }
    public float? MinRatio { get; init; }
    public float? MaxRatio { get; init; }
    public int? MaxLevel { get; init; }
    public DateTime? MinDateAvailable { get; init; }
    public DateTime? MaxDataAvailable { get; init; }
    public DateTime? MinDateCreated { get; init; }
    public DateTime? MaxDateCreated { get; init; }
}